using System;
class Program
{
    static void Main()
    {
        Console.Write("");
        string ulaz = Console.ReadLine();
        string[] nm = ulaz.Split(' ');
        long n = Convert.ToInt64(nm[0]);
        long m = Convert.ToInt64(nm[1]);
        long[] sorok = new long[n];
        for (long i = 0; i < n; i++)
        {
            Console.Write("");
            sorok[i] = Convert.ToInt64(Console.ReadLine());
        }
        long sor,oszlop;

       char [,]matrix=new char[n,m];
       for (sor = 0; sor < n; sor++)
       {
           for (oszlop = 0; oszlop < m; oszlop++)
           {
               if(oszlop<sorok[sor])
                   matrix[sor,oszlop]='#';
               else
                   matrix[sor, oszlop] = '.';
           }
       }

       for (sor = 0; sor < n; sor++)
       {
           for (oszlop = 0; oszlop < m; oszlop++)
           {
               if(matrix[sor,oszlop]=='#' && matrix[sor,m-1]=='#')
                   matrix[sor,oszlop]='.';
                   
           }
       }
       

        long hastag=0,pont=0;
        long unalom = 0;


        /*//matrix kiiratása
      for (sor = 0; sor < n; sor++)
      {
          for (oszlop = 0; oszlop < m; oszlop++)
          {
              Console.Write(matrix[sor,oszlop]);
          }
          Console.WriteLine();
      }*/

        

       for (oszlop = 0; oszlop < m; oszlop++)
       {
           for (sor = 0; sor < n; sor++)
           {
               if (matrix[sor,oszlop] == '#')
                   hastag++;
               else
                   pont++;
           }
           unalom+=(pont*hastag);
           hastag = 0;
           pont = 0;
       }

       Console.Write(unalom.ToString());
       Console.ReadKey();
    }
}